db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Rick Hillegas (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (DERBY-6213) Deprecate support for Java 5 and CDC
Date Tue, 07 May 2013 18:19:15 GMT

     [ https://issues.apache.org/jira/browse/DERBY-6213?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Rick Hillegas updated DERBY-6213:
---------------------------------

    Attachment: derby-6213-03-aa-misc.diff

Attaching derby-6213-03-aa-misc.diff. This patch converts the following packages to Java 6:

org.apache.derby.tools
org.apache.derby.authentication
org.apache.derby.agg
org.apache.derby.diag
org.apache.derby.database
org.apache.derby.catalog...
org.apache.derby.drda

The biggest change involved adding dummy implementations of Statement/PreparedStatement methods
to UpdatableVTITemplate so that TriggerNewTransitionRows would compile.

I am running tests now.



Touches the following files:

M       java/tools/org/apache/derby/tools/PlanExporter.java
M       java/tools/org/apache/derby/tools/SignatureChecker.java
M       java/tools/org/apache/derby/tools/build.xml
M       java/engine/org/apache/derby/authentication/build.xml
M       java/engine/org/apache/derby/agg/build.xml
M       java/engine/org/apache/derby/vti/UpdatableVTITemplate.java
M       java/engine/org/apache/derby/diag/LockTable.java
M       java/engine/org/apache/derby/diag/ErrorMessages.java
M       java/engine/org/apache/derby/diag/StatementCache.java
M       java/engine/org/apache/derby/diag/StatementDuration.java
M       java/engine/org/apache/derby/diag/ErrorLogReader.java
M       java/engine/org/apache/derby/diag/build.xml
M       java/engine/org/apache/derby/database/build.xml
M       java/engine/org/apache/derby/catalog/TriggerNewTransitionRows.java
M       java/engine/org/apache/derby/catalog/build.xml
M       java/drda/org/apache/derby/drda/NetServlet.java
M       java/drda/org/apache/derby/drda/build.xml

                
> Deprecate support for Java 5 and CDC
> ------------------------------------
>
>                 Key: DERBY-6213
>                 URL: https://issues.apache.org/jira/browse/DERBY-6213
>             Project: Derby
>          Issue Type: Improvement
>          Components: Build tools, Documentation, Javadoc
>    Affects Versions: 10.11.0.0
>            Reporter: Rick Hillegas
>         Attachments: derby-6213-01-aa-collapsePublishedAPI.diff, derby-6213-02-aa-org.apache.derby.vti.diff,
derby-6213-03-aa-misc.diff
>
>
> The developer community has approved the proposal to sunset support for Java 5 and CDC:
http://apache-database.10148.n7.nabble.com/VOTE-Sunsetting-support-for-Java-5-and-CDC-td129832.html#a129925
> This issue tracks a number of tasks needed to implement this proposal:
> I) Remove build support for Java 5 and CDC.
> II) Purge user doc references to Java 5, CDC, and the JDBC 4 DataSources.
> III) Remove the JDBC 4 version of the public api from the published javadoc. The recently
introduced CP2 DataSources would need to migrate to the JDBC 3 version of the published javadoc.
The JDBC 4 versions of the DataSources would still exist, but they would be vacuous extensions
of their JDBC 3 counterparts.
> IV) On the wiki, document our expectation that maintenance releases will support the
same platforms as the original feature release cut from their branch.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message